com.dlsc.flexgantt.swing

## Enum GanttChartToolBar.Mode

- java.lang.Object
- - java.lang.Enum<GanttChartToolBar.Mode>
  - - com.dlsc.flexgantt.swing.GanttChartToolBar.Mode

- All Implemented Interfaces:
    Serializable, Comparable<GanttChartToolBar.Mode>
  Enclosing class:
    GanttChartToolBar<T extends AbstractGanttChart>

      public static enum GanttChartToolBar.Mode
      extends Enum<GanttChartToolBar.Mode>

  Different display modes supported by the toolbar. The toolbar can display buttons with just an icon, just the text or both at the same time.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ICONS_AND_TEXT` A toolbar mode where buttons are displayed with an icon and a text.
    `ICONS_ONLY` A toolbar mode where buttons are displayed with an icon only.
    `TEXT_ONLY` A toolbar mode where buttons are displayed with the text only.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GanttChartToolBar.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GanttChartToolBar.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ICONS_ONLY

          public static final GanttChartToolBar.Mode ICONS_ONLY

      A toolbar mode where buttons are displayed with an icon only.
      Since:
        1.0

    - #### TEXT_ONLY

          public static final GanttChartToolBar.Mode TEXT_ONLY

      A toolbar mode where buttons are displayed with the text only.
      Since:
        1.0

    - #### ICONS_AND_TEXT

          public static final GanttChartToolBar.Mode ICONS_AND_TEXT

      A toolbar mode where buttons are displayed with an icon and a text.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static GanttChartToolBar.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GanttChartToolBar.Mode c : GanttChartToolBar.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GanttChartToolBar.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.